Groovy Documentation

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class ControllerFlowRegistry

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.ControllerFlowRegistry

    class ControllerFlowRegistry

A flow execution repository that scans the set GrailsApplication instance for controllers that contain flow closures.

Authors:
  Graeme Rocher

Since:
  0.6

Property Summary
`ApplicationContext` | `applicationContext`
`FlowBuilderServices` | `flowBuilderServices`
`FlowDefinitionRegistry` | `flowRegistry`
`GrailsApplication` | `grailsApplication`

Method Summary
`void` | `afterPropertiesSet()`
`protected void` | `doPopulate(FlowDefinitionRegistry registry)` Implements the doPopulate method by using a GrailsApplication instance and its contained controller classes to locate and populate flow definitions in the registry
`java.lang.Object` | `getObject()`
`java.lang.Class` | `getObjectType()`
`boolean` | `isSingleton()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### applicationContext

    ApplicationContext applicationContext

### flowBuilderServices

    FlowBuilderServices flowBuilderServices

### flowRegistry

    FlowDefinitionRegistry flowRegistry

### grailsApplication

    GrailsApplication grailsApplication

Method Detail

### afterPropertiesSet

    void afterPropertiesSet()

### doPopulate

    protected void doPopulate(FlowDefinitionRegistry registry)

  Implements the doPopulate method by using a GrailsApplication instance and its contained controller classes to locate and populate flow definitions in the registry

### getObject

    java.lang.Object getObject()

### getObjectType

    java.lang.Class getObjectType()

### isSingleton

    boolean isSingleton()

Groovy Documentation